View Issue Details

IDProjectCategoryView StatusLast Update
16555Bug reportsTheme editorpublic2020-10-26 08:20
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.22.27 
Summary16555: bootswatch Image uploaded via Survey theme option are uploaded in Global directory
Description

When upload an image in survey option, it was uploaded in Global directory : iot muts be survey directory
With Vanilla : it was in survey directory.

Steps To Reproduce
  1. Set template to Boostrap (for example)
  2. Choose a image
  3. Upload
  4. See where it was upload

With vanilla it's OK :

  1. Set template to Skelvanilla
  2. Choose a image
  3. Upload
  4. See where it was upload
Additional Information

I don't check with Fruity
I didn't check if user don't have global right (any user can replace any global logo ?)

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.22.25 (limeservice) + 3.22.29
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 16557 confirmed Vanilla : upload theme logo in survey broken 

Activities

DenisChenu

DenisChenu

2020-07-31 19:28

developer   ~59241

The fix is here : https://github.com/LimeSurvey/LimeSurvey/pull/1527

DenisChenu

DenisChenu

2020-10-22 14:21

developer   ~60362

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30650

lime_release_bot

lime_release_bot

2020-10-26 08:20

administrator   ~60411

Fixed in Release 3.24.3+201027

Related Changesets

LimeSurvey: 3.x-LTS 502fd733

2020-10-22 14:20:57

DenisChenu


Committer: GitHub Details Diff
Fixed issue 16555: bootswatch Image uploaded via Survey theme option are uploaded in Global directory (#1527)

Dev: Add hidden input surveyid
Dev: Check if empty : no need to send if empty
Affected Issues
16555
mod - themes/survey/bootswatch/options/options.twig Diff File
mod - themes/survey/fruity/options/options.twig Diff File
mod - themes/survey/vanilla/options/options.twig Diff File

Issue History

Date Modified Username Field Change
2020-07-31 18:17 DenisChenu New Issue
2020-07-31 18:17 DenisChenu Assigned To => DenisChenu
2020-07-31 18:17 DenisChenu Status new => assigned
2020-07-31 18:17 DenisChenu Steps to Reproduce Updated View Revisions
2020-07-31 19:28 DenisChenu Assigned To DenisChenu => cdorin
2020-07-31 19:28 DenisChenu Status assigned => feedback
2020-07-31 19:28 DenisChenu Note Added: 59241
2020-08-04 11:45 DenisChenu Relationship added related to 16557
2020-10-22 14:21 DenisChenu Changeset attached => LimeSurvey 3.x-LTS 502fd733
2020-10-22 14:21 DenisChenu Note Added: 60362
2020-10-22 14:21 DenisChenu Assigned To cdorin => DenisChenu
2020-10-22 14:21 DenisChenu Resolution open => fixed
2020-10-26 08:20 lime_release_bot Note Added: 60411
2020-10-26 08:20 lime_release_bot Status feedback => closed